// priority: 0

// Visit the wiki for more info - https://kubejs.com/

// onEvent('recipes', event => {

ServerEvents.recipes(event => {
    let incompleteVenerableCakeBase = 'kubejs:incomplete_venerable_cake_base'
    event.recipes.create.sequenced_assembly([
        Item.of('kubejs:venerable_cake_base', 1)
    ], 'garnished:venerable_dough', [
        event.recipes.create.pressing(incompleteVenerableCakeBase, [incompleteVenerableCakeBase]),
        event.recipes.create.pressing(incompleteVenerableCakeBase, [incompleteVenerableCakeBase]),
        event.recipes.create.filling(incompleteVenerableCakeBase, [incompleteVenerableCakeBase, Fluid.of('minecraft:water', 250)])
    ]).transitionalItem(incompleteVenerableCakeBase).loops(2).id('kubejs:sequenced_assembly/venerable_cake_base')

    let incompleteToppedVenerableCakeBase = 'kubejs:incomplete_topped_venerable_cake_base'
    event.remove('garnished:mechanical_crafting/anniversary_cake')
    event.recipes.create.sequenced_assembly([
        Item.of('kubejs:topped_venerable_cake_base', 1)
    ], 'kubejs:venerable_cake_base', [
        event.recipes.create.filling(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, Fluid.of('minecraft:milk', 250)]),
        event.recipes.create.deploying(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, 'garnished:bok_choy']),
        event.recipes.create.deploying(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, 'garnished:torrid_blend']),
        event.recipes.create.deploying(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, 'garnished:vex_wing']),
        event.recipes.create.deploying(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, '#garnished:mastic_paste']),
        event.recipes.create.deploying(incompleteToppedVenerableCakeBase, [incompleteToppedVenerableCakeBase, '#garnished:mastic_paste'])
    ]).transitionalItem(incompleteToppedVenerableCakeBase).loops(4).id('kubejs:sequenced_assembly/topped_venerable_cake_base')

    event.recipes.create.mechanical_crafting(Item.of('garnished:anniversary_cake'), [
        ' A ',
        'BCD',
        'EXF',
        'GXH',
        'IXJ'
    ], {
        A: 'garnished:nut_mix',
        B: 'garnished:cashew',
        C: 'garnished:walnut',
        D: 'garnished:hazelnut',
        E: 'garnished:macadamia',
        F: 'garnished:chestnut',
        G: 'garnished:pistachio',
        H: 'garnished:pecan',
        I: 'garnished:almond',
        J: 'garnished:peanut',
        X: 'kubejs:topped_venerable_cake_base'
    })
    event.recipes.create.cutting(Item.of('garnished:anniversary_cake_slice', 12), 'garnished:anniversary_cake').id('kubejs:cutting/anniversary_cake_slice')
})